Get Blast
curl --request GET \
--url https://api.decodahealth.com/comms/blasts/{blast_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <api-key>'import requests
url = "https://api.decodahealth.com/comms/blasts/{blast_id}"
headers = {
"TENANT": "<api-key>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<api-key>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/comms/blasts/{blast_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"channel": "SMS",
"status": "PENDING",
"senderId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"name": "<string>",
"cohortId": "<string>",
"cohortName": "<string>",
"cohortIds": [
"<string>"
],
"cohortNames": [
"<string>"
],
"totalRecipients": 0,
"sentCount": 0,
"deliveredCount": 0,
"failedCount": 0,
"bouncedCount": 0,
"optedOutCount": 0,
"sentAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"attachments": [
"<string>"
],
"smsContent": "<string>",
"emailSubject": "<string>",
"emailBodyHtml": "<string>",
"emailBodyText": "<string>",
"emailPreviewText": "<string>",
"fromName": "<string>",
"isMarketing": true,
"skippedBreakdown": {},
"undeliveredCount": 0,
"openedCount": 0,
"clickedCount": 0,
"complainedCount": 0,
"replyCount": 0,
"actualCostCents": 123,
"lowDeliveryAlert": false,
"warming": {
"domainCumulativeSent": 123,
"domainDailyCap": 123,
"domainRemainingToday": 123,
"unsentForOtherBlastsOnDomain": 0,
"startsSendingDate": "2023-12-25",
"projectedSchedule": []
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Message Blasts
Get Blast
Get blast detail with channel-specific content.
GET
/
comms
/
blasts
/
{blast_id}
Get Blast
Authorizations
The tenant you are making this request on behalf of
Your api key
Path Parameters
Query Parameters
IANA timezone for warming-schedule date anchoring (e.g. America/New_York)
Response
Successful Response
Available options:
SMS, EMAIL Available options:
PENDING, SENDING, WARMING, COMPLETED, PARTIALLY_FAILED, FAILED, STOPPED Show child attributes
Show child attributes
Show child attributes
Show child attributes

